Package com.ngrok.services

# Class EdgesTls.GetCallBuilder

java.lang.Object
com.ngrok.services.EdgesTls.GetCallBuilder

Enclosing class:
  EdgesTls

public class EdgesTls.GetCallBuilder extends Object
A builder object encapsulating state for an unsent Get API call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TlsEdge`
  `blockingCall()`
  Initiates the API call and blocks until it returns.
  `CompletionStage<TlsEdge>`
  `call()`
  Initiates the API call asynchronously.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### call

    public CompletionStage<TlsEdge> call()
    Initiates the API call asynchronously.
    Returns:
      a `CompletionStage` of `TlsEdge`

  - ### blockingCall

    public TlsEdge blockingCall() throws InterruptedException
    Initiates the API call and blocks until it returns.
    Returns:
      `TlsEdge`
    Throws:
      `InterruptedException` - if the thread was interrupted during the call